/*
    tstore - an archive format for archiving tar archives
    Copyright (C) 2004-2007  Kasper Dupont

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    with permission from the author any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    $Id: tnbd.c,v 1.1 2007/12/17 20:54:47 kasperd Exp $
*/

#include "tstore.h"
#include "test.h"

struct node {
  int refcount;
  off_t location;
  uint8_t *data;
  struct node **children;
};

struct node *newnode()
{
  struct node *r;
  NEW(r);
  return r;
};

int main(int argc, char ** argv)
{
  struct store *store;
  struct node *directory;
  off_t filesize;
  int levels;

  if (argc != 4) {
    fprintf(stderr,"Usage: %s <store> <file> <device>\n",argv[0]);
    return EXIT_FAILURE;
  }

  store=open_store(argv[1],O_RDWR,CHECK_LOCK);
  if (!store) errstop(argv[1]);

  directory=newnode();

  if (find_file(store,argv[2],NULL,&directory->location,&filesize,NULL,NULL)) {
    perror(argv[2]);
    return EXIT_FAILURE;
  }
  levels=filelevels(filesize);

  return EXIT_SUCCESS;
}
