/*
    tstore - an archive format for archiving tar archives
    Copyright (C) 2005  Kasper Dupont

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    with permission from the author any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    $Id: trollback.c,v 1.1 2005/04/24 14:16:03 kasperd Exp $
*/

#include "tstore.h"

int main(int argc, char ** argv)
{
  struct store *s;

  if (argc != 2) {
    fprintf(stderr,"Uage: %s <store>\n",argv[0]);
    return EXIT_FAILURE;
  }

  s=open_store(argv[1],O_RDWR,DONT_LOCK);
  if (!s) errstop(argv[1]);
  
  if (s->header_buf[DIRTYFLAG_OFFSET]) {
    fprintf(stderr,"%s seems to be locked, continue anyway? ",s->name);
    if (!confirm()) cancel();
    s->locked=1;
  }

  fprintf(stderr,"Do you want to truncate %s to %lld bytes? ",s->name,512*s->store_size);
  if(!confirm()) cancel();

  if (unlink(s->h32name)&&(errno!=ENOENT)) errstop(s->h32name);
  lock_store(s);

  if(ftruncate(s->fd,512*s->store_size)&&(errno!=EINVAL))errstop(s->name);

  close_store(s);
  return 0;

}
